Package be.fgov.ehealth.monitoring.core.v2

# Class ResultsType

java.lang.Object
be.fgov.ehealth.monitoring.core.v2.ResultsType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:15:28+02:00", comments="JAXB RI v4.0.5") public class ResultsType extends Object implements Serializable
Contains results of monitoring on a service.

Java class for ResultsType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResultsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Details" type="{urn:be:fgov:ehealth:monitoring:core:v2}DetailsType"/>
             <element name="ErrorDetail" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="ErrorStack" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="SubResults" type="{urn:be:fgov:ehealth:monitoring:core:v2}SubResultsType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Extension" type="{urn:be:fgov:ehealth:monitoring:core:v2}ExtensionType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResultsType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DetailsType`
  `getDetails()`
  Gets the value of the details property.
  `String`
  `getErrorDetail()`
  Gets the value of the errorDetail property.
  `String`
  `getErrorStack()`
  Gets the value of the errorStack property.
  `ExtensionType`
  `getExtension()`
  Gets the value of the extension property.
  `List<SubResultsType>`
  `getSubResults()`
  Gets the value of the subResults property.
  `void`
  `setDetails(DetailsType value)`
  Sets the value of the details property.
  `void`
  `setErrorDetail(String value)`
  Sets the value of the errorDetail property.
  `void`
  `setErrorStack(String value)`
  Sets the value of the errorStack property.
  `void`
  `setExtension(ExtensionType value)`
  Sets the value of the extension property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResultsType

    public ResultsType()

- ## Method Details

  - ### getDetails

    public DetailsType getDetails()
    Gets the value of the details property.
    Returns:
      possible object is `DetailsType`

  - ### setDetails

    public void setDetails(DetailsType value)
    Sets the value of the details property.
    Parameters:
      `value` - allowed object is `DetailsType`

  - ### getErrorDetail

    public String getErrorDetail()
    Gets the value of the errorDetail property.
    Returns:
      possible object is `String`

  - ### setErrorDetail

    public void setErrorDetail(String value)
    Sets the value of the errorDetail property.
    Parameters:
      `value` - allowed object is `String`

  - ### getErrorStack

    public String getErrorStack()
    Gets the value of the errorStack property.
    Returns:
      possible object is `String`

  - ### setErrorStack

    public void setErrorStack(String value)
    Sets the value of the errorStack property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSubResults

    public List<SubResultsType> getSubResults()
    Gets the value of the subResults property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the subResults property.

    For example, to add a new item, do as follows:

         getSubResults().add(newItem);

    Objects of the following type(s) are allowed in the list `SubResultsType`

    Returns:
      The value of the subResults property.

  - ### getExtension

    public ExtensionType getExtension()
    Gets the value of the extension property.
    Returns:
      possible object is `ExtensionType`

  - ### setExtension

    public void setExtension(ExtensionType value)
    Sets the value of the extension property.
    Parameters:
      `value` - allowed object is `ExtensionType`